Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
glob_pattern Struct Reference

## Data Fields
char * | str
enum glob_pattern_type | type
struct glob_pattern * | next

## Detailed Description

Definition at line 1167 of file dir.c.

## Field Documentation

struct glob_pattern* glob_pattern::next

Definition at line 1170 of file dir.c.

Referenced by glob_free_pattern(), glob_helper(), and glob_make_pattern().

char* glob_pattern::str

Definition at line 1168 of file dir.c.

Referenced by glob_free_pattern(), glob_helper(), and glob_make_pattern().

enum glob_pattern_type glob_pattern::type

Definition at line 1169 of file dir.c.

Referenced by glob_helper(), and glob_make_pattern().

The documentation for this struct was generated from the following file:

- dir.c